pfstmo_reinhard02(1)

NAME
pfstmo_reinhard02 - Photographic Tone Reproduction for Digital Images

SYNOPSIS
pfstmo_reinhard02 [--scales] [--key <val>] [--phi <val>] [--range <val>] [--lower <val>] [--upper <val>] [--temporal-coherent] [--verbose] [--help]

DESCRIPTION
This command implements a tone mapping operator as described in:

Photographic Tone Reproduction for Digital Images. E. Reinhard, M. Stark, P. Shirley, and J. Ferwerda. In ACM Transactions on Graphics, 2002.

According to the paper, results of this TMO require gamma correction.

OPTIONS

[--scales]

    Use scales to calculate local adaptation. That means: use local version of this operator. By default, global version is used.

[--key <val>]

    Set key value for the image (refer to paper for details). Default value: 0.18, accepted range <0..1>.

[--phi <val>]

    Set phi value (refer to paper for details). Default value: 1.0, accepted range >=0.0.

[--range <val>]

    Set range size (refer to paper for details). Default value: 8, accepted range >1.

[--lower <val>]

    Set lower scale size (refer to paper for details). Default value: 1, accepted range >=1.

[--upper <val>]

    Set upper scale size (refer to paper for details). Default value: 43, accepted range >=1.

[--temporal-coherent], [-t]

    When this option is specified, tone mapping is time coherent for video sequences. Currently the option imposes that the average and maximum luminance value can change at most by 1% between two consecutive frames.

--verbose

    Print additional information during program execution.

--help

    Print list of commandline options.

EXAMPLES

pfsin memorial.hdr | pfstmo_reinhard02 -s | pfsout memorial.png

    Tone map image and save it in png format.

SEE ALSO
pfsgamma(1) pfsin(1) pfsout(1) pfsview(1)

BUGS
Please report bugs and comments on implementation to Grzegorz Krawczyk <krawczyk@mpi-sb.mpg.de>.